2014-07-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.37 released.

2014-07-14  Aidan Kehoe  <kehoea@parhasard.net>

	* ispell.el:
	* ispell.el (fboundp):
	* ispell.el (mail-yank-prefix):
	* ispell.el (check-ispell-version):
	* ispell.el (mail-yank-prefix)): New.
	* ispell.el (ispell): New.
	* ispell.el (ispell-highlight-p):
	* ispell.el (xemacsp): Removed.
	* ispell.el (version18p): Removed.
	* ispell.el (ispell-lazy-highlight): New.
	* ispell.el (version20p): Removed.
	* ispell.el ('check-ispell-version): New.
	* ispell.el (ispell-check-comments):
	* ispell.el (ispell-query-replace-choices):
	* ispell.el (ispell-skip-tib):
	* ispell.el (ispell-keep-choices-win):
	* ispell.el (ispell-choices-win-default-height):
	* ispell.el (ispell-binary-suffixes): New.
	* ispell.el (ispell-alternate-dictionary):
	* ispell.el (ispell-complete-word-dict):
	* ispell.el (ispell-message-dictionary-alist):
	* ispell.el (ispell-message-fcc-skip):
	* ispell.el (ispell-grep-command):
	* ispell.el (ispell-grep-options):
	* ispell.el (ispell-look-p):
	* ispell.el (ispell-have-new-look):
	* ispell.el (ispell-following-word):
	* ispell.el (ispell-help-in-bufferp):
	* ispell.el (ispell-quietly):
	* ispell.el (ispell-format-word): Removed.
	* ispell.el (ispell-format-word-function): New.
	* ispell.el ('ispell-format-word): New.
	* ispell.el (ispell-personal-dictionary):
	* ispell.el (ispell-silently-savep):
	* ispell.el (ispell-local-dictionary-overridden): New.
	* ispell.el (ispell-local-dictionary):
	* ispell.el (ispell-extra-args):
	* ispell.el (ispell-dictionary): New.
	* ispell.el (ispell-skip-html):
	* ispell.el (ispell-local-dictionary-alist):
	* ispell.el (ispell-dictionary-alist):
	* ispell.el (ispell-dictionary-base-alist): New.
	* ispell.el (ispell-really-aspell): New.
	* ispell.el (ispell-really-hunspell): New.
	* ispell.el (ispell-encoding8-command): New.
	* ispell.el (ispell-aspell-supports-utf8): New.
	* ispell.el (ispell-hunspell-dictionary-equivs-alist): New.
	* ispell.el (ispell-version):
	* ispell.el (ispell-check-version): New.
	* ispell.el (ispell-emacs-alpha-regexp): New.
	* ispell.el (ispell-call-process): New.
	* ispell.el (ispell-call-process-region): New.
	* ispell.el (ispell-create-debug-buffer): New.
	* ispell.el (ispell-menu-map-needed):
	* ispell.el (ispell-print-if-debug): New.
	* ispell.el (ispell-library-path): Removed.
	* ispell.el (ispell-async-processp):
	* ispell.el (ispell-library-directory): New.
	* ispell.el (ispell-aspell-dictionary-alist): New.
	* ispell.el (ispell-find-aspell-dictionaries): New.
	* ispell.el (ispell-aspell-data-dir): New.
	* ispell.el (ispell-aspell-dict-dir): New.
	* ispell.el (ispell-get-aspell-config-value): New.
	* ispell.el (ispell-aspell-find-dictionary): New.
	* ispell.el (ispell-aspell-add-aliases): New.
	* ispell.el (ispell-hunspell-dict-paths-alist): New.
	* ispell.el (ispell-hunspell-dictionary-alist): New.
	* ispell.el (ispell-hunspell-fill-dictionary-entry): New.
	* ispell.el (ispell-parse-hunspell-affix-file): New.
	* ispell.el (ispell-find-hunspell-dictionaries): New.
	* ispell.el (ispell-last-program-name): New.
	* ispell.el (ispell-initialize-spellchecker-hook): New.
	* ispell.el (ispell-set-spellchecker-params): New.
	* ispell.el (ispell-valid-dictionary-list): New.
	* ispell.el (valid-dictionary-list): Removed.
	* ispell.el (and):
	* ispell.el (ispell-int-char):
	* ispell.el ('ispell-int-char): New.
	* ispell.el ('ispell-find-coding-system): New.
	* ispell.el ('ispell-list*): New.
	* ispell.el (ispell-current-dictionary): New.
	* ispell.el (ispell-decode-string): Removed.
	* ispell.el (hide-ispell-dictionary-corrected):
	* ispell.el (ispell-get-casechars): Removed.
	* ispell.el (ispell-get-not-casechars): Removed.
	* ispell.el (ispell-get-otherchars): Removed.
	* ispell.el (ispell-get-many-otherchars-p): Removed.
	* ispell.el (ispell-get-ispell-args): Removed.
	* ispell.el (ispell-get-extended-character-mode): Removed.
	* ispell.el (ispell-get-coding-system): Removed.
	* ispell.el (ispell-current-personal-dictionary): New.
	* ispell.el (ispell-checking-message):
	* ispell.el (ispell-words-keyword):
	* ispell.el (ispell-dictionary-keyword):
	* ispell.el (ispell-skip-region-alist):
	* ispell.el (ispell-tex-skip-alists):
	* ispell.el (ispell-tex-skip-alist):
	* ispell.el (ispell-html-skip-alists):
	* ispell.el (ispell-buffer-session-localwords): New.
	* ispell.el (ispell-parser):
	* ispell.el (ispell-mode-line-window-height-fudge): Removed.
	* ispell.el (esc-map): Removed.
	* ispell.el (ispell-accept-output):
	* ispell.el (ispell-send-replacement): New.
	* ispell.el (ispell-send-string):
	* ispell.el (ispell-word):
	* ispell.el (return values): Removed.
	* ispell.el (Return values): New.
	* ispell.el (ispell-get-word):
	* ispell.el (ispell-pdict-save):
	* ispell.el (message-log-max):
	* ispell.el (ispell-command-loop):
	* ispell.el (message-log-max)): New.
	* ispell.el (ispell-show-choices):
	* ispell.el (ispell-help):
	* ispell.el (lookup-words): Removed.
	* ispell.el ('lookup-words): New.
	* ispell.el (ispell-lookup-words): New.
	* ispell.el (ispell-highlight-spelling-error-generic):
	* ispell.el (ispell-highlight-spelling-error-xemacs):
	* ispell.el (ispell-highlight-spelling-error-overlay):
	* ispell.el (ispell-highlight-spelling-error):
	* ispell.el (ispell-adjusted-window-height): New.
	* ispell.el (ispell-overlay-window):
	* ispell.el (ispell-parse-output):
	* ispell.el (ispell-start-process):
	* ispell.el (ispell-init-process):
	* ispell.el (ispell-kill-ispell):
	* ispell.el (ispell-change-dictionary):
	* ispell.el (ispell-internal-change-dictionary): New.
	* ispell.el (ispell-start)): New.
	* ispell.el (ispell-end)): New.
	* ispell.el (ispell-region): New.
	* ispell.el (ispell-begin-skip-region-regexp):
	* ispell.el (ispell-begin-skip-region):
	* ispell.el (ispell-skip-region-list):
	* ispell.el (ispell-tex-arg-end):
	* ispell.el (ispell-ignore-fcc):
	* ispell.el (ispell-skip-region):
	* ispell.el (ispell-get-line):
	* ispell.el (ispell-looking-at): New.
	* ispell.el (ispell-process-line):
	* ispell.el (ispell-horiz-scroll):
	* ispell.el (ispell-complete-word):
	* ispell.el (ispell-minor-keymap):
	* ispell.el (ispell-minor-mode): Removed.
	* ispell.el (ispell-minor-check):
	* ispell.el (ispell-message-text-end):
	* ispell.el (ispell-mime-skip-part):
	* ispell.el (ispell-message):
	* ispell.el (ispell-buffer-local-parsing):
	* ispell.el (ispell-buffer-local-dict):
	* ispell.el (ispell-buffer-local-words):
	* ispell.el (ispell-add-per-file-word-list):
	Sync with recent GNU Emacs.

	Also some XEmacs-specific changes; provide various compiler macros
	that aren't necessarily executed on one emacs or the other,
	determining it at compile time rather than run- or
	load-time. Avoid decoding the entries in ispell-dictionary-alist
	*every time the dictionary member* was referenced, do it once per
	dictionary. Achieve this using macrolet and uninterned symbols,
	compatible with 21.4.

	I see bugs but no Lisp-level problems with aspell and hunspell on
	my OS X machine; that is, the bugs I see are also present when I
	spell-check outside of ispell. This version of the file works fine
	with Persian, which the previous version didn't. Also works fine
	with the European languages I speak, but they all fit in Latin-1
	and so are less of a challenge.

2014-06-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.36 released.

2014-06-29  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.35 released.

2014-06-11  Jerry James  <james@xemacs.org>

	* ispell.el (ispell-start-process): fix encoding with aspell, and
	assume that any aspell program is at least the decade-old aspell
	0.60.

2013-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.34 released.

2014-05-15  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.33 released.

2014-05-13  Jerry James  <james@xemacs.org>

	* .cvsignore: Remove.
	* .hgignore: New file.
	* ispell.texi: Update for texinfo 5.x.

2005-10-16  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.32 released.

2005-10-15  Adrian Aichner  <adrian@xemacs.org>

	* ispell.el (ispell-buffer-local-dict): Patch submitted by Mike
	FABIAN to fix following bug: "when you change the dictionary once,
	ispell is killed and rerun everytime you invoke it"; originally
	suggested verbatim by Fabrice Popineau.  See also:
	http://bugzilla.novell.com/show_bug.cgi?id=106703.

2005-02-13  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.31 released.

2005-02-13  Michael Sperber  <mike@xemacs.org>

	* ispell.el (ispell-command-loop): Don't rely on
	`save-window-excursion' to preserve window identity.  This makes
	r)eplace work on XEmacs 21.5.

2005-01-23  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.30 released.

2005-01-14  Aidan Kehoe  <kehoea@parhasard.net>

	* ispell.el (ispell-change-dictionary): Don't necessarily nuke
	ispell-dictionary on every call from
	ispell-buffer-local-dict. This allows the advertised method of
	defaulting the dictionary--

	  (setq ispell-dictionary "language-name")

	--to actually work.

2004-01-14  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.29 released.

2004-01-08  Jerry James  <james@xemacs.org>

	* ispell.el (ispell-library-path): Do not look for the ispell
	executable at compile time.

2003-12-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.28 released.

2003-12-31  Ville Skyttä  <scop@xemacs.org>

	* Makefile (AUTHOR_VERSION): This is upstream 3.6.

2003-12-30  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.27 released.

2003-12-20  Jerry James  <james@xemacs.org>

	* ispell.el: Upgrade to version 3.6 from Ken Stevens
	<k.stevens@ieee.org>.

2003-11-02  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.26 released.

2003-11-01  Ville Skyttä  <scop@xemacs.org>

	* Makefile (AUTHOR_VERSION): This is 3.3.

2003-10-31  Norbert Koch  <viteno@xemacs.org>

	* Makefile (VERSION): XEmacs package 1.25 released.

2003-03-09  Ben Wing  <ben@xemacs.org>

	* Makefile:
	Delete explicit compile:: and binkit: rules.
	Don't add custom-load.elc to the list of generated elc's.
	Use STANDARD_DOCS instead of explicitly giving the targets
	and dependencies.

2002-11-29  Ben Wing  <ben@xemacs.org>

	* .cvsignore: Remove files now handled automatically by CVS.
	* Makefile: Use `compile' instead of hard-coded `all'.

2002-10-15  Ville Skyttä  <scop@xemacs.org>

	* Makefile (srckit): Remove.

2002-10-14  Ville Skyttä  <scop@xemacs.org>

	* Makefile (MANUAL): Removed (unused).

2002-07-16  Adrian Aichner  <adrian@xemacs.org>

	* .cvsignore: Add generated .info* and .html files.

2002-01-07  Adrian Aichner  <adrian@xemacs.org>

	* Makefile (HTML_FILES): New.
	* Makefile (HTML_DEP): New.

2001-08-02  Robert Pluim  <rpluim@bigfoot.com>

	* ispell.el (ispell-command-loop): check for scrollbar support
	  before using them.

2000-10-26  Jonathan Marten  <jonathan.marten@uk.sun.com>

	* ispell.el (ispell-command-loop): suppress horizontal scroll bar
	in choices window.

2000-10-05  Martin Buchholz  <martin@xemacs.org>

	* *: Mega typo fix.

2000-07-27  Ben Wing  <ben@xemacs.org>

	* ispell.el (ispell-menu-xemacs): rewrite using filter.
	(ispell-library-path): don't establish at load time, but at
	init time, to make sure the library can be both compiled and
	required without an ispell exe present.

1999-12-15  Gunnar Evermann  <ge204@eng.cam.ac.uk>

	* ispell.el (ispell-kill-ispell): In XEmacs sleep-for takes only
	one argument.

1999-11-30  Andreas Jaeger  <aj@suse.de>

	* ispell.el: Added version 3.3 from Ken Stevens
	<k.stevens@ieee.org>.

1999-11-27  Andreas Jaeger  <aj@suse.de>

	* ispell.el (ispell-xemacs): Autoload it.

1999-09-29  Didier Verna  <didier@xemacs.org>

	* ispell.el (ispell-xemacs): new variable.
	(ispell-menu-map-needed): use it.
	(ispell-help): ditto.
	(ispell-highlight-spelling-error): ditto.
	(ispell-overlay-window): ditto.
	(ispell-enable-multibyte-characters): new function.
	(ispell-decode-string): use it.
	(ispell-init-process): ditto.

1999-07-22  SL Baur  <steve@miho>

	* ispell.el (ispell-kill-ispell): sleep-for only takes one
	parameter.
	From Steve Carney <carney@altavista.com>

1999-05-13  SL Baur  <steve@gneiss.etl.go.jp>

	* ispell.el: Synch with ispell-3.2.
	(ispell-local-dictionary-alist): Autoload.

1998-12-09  SL Baur  <steve@altair.xemacs.org>

	* Sync with ispell-3.1.

1998-09-15  Jan Vroonhof  <vroonhof@math.ethz.ch>

	* ispell.el (ispell-parse-output): Return guesses in the same
	order as ispell.

1998-09-06  Didier Verna  <verna@inf.enst.fr>

	* ispell.el: changed *-latin-* symbols to *-8859-* so that ispell
	can find the related coding systems.

1998-04-01  SL Baur  <steve@altair.xemacs.org>

	* ispell.el (ispell-highlight-spelling-error): Fix typo in version
	detection regexp.

1998-03-21  SL Baur  <steve@altair.xemacs.org>

	* ispell.el-3.0

1998-03-09  Carsten Leonhardt  <leo@arioch.oche.de>

	* ispell.el: don't try to set up menus in XEmacs if they are not
 	supported

1998-02-25  SL Baur  <steve@altair.xemacs.org>

	* ispell.texi: add direntry section.

	* ispell.el: New variable `ispell-int-char' for XEmacs 20.  
	(ispell-command-loop): Use it.

1998-01-25  SL Baur  <steve@altair.xemacs.org>

	* Makefile (VERSION): Update to package standard 1.0.

1998-01-12  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1998-01-03  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Update to newer package interface.

1997-12-30  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Fix info installation typos.

1997-12-24  SL Baur  <steve@altair.xemacs.org>

	* Makefile: Created.
